Font Weight Settings

- « UI\run

- UI\Draw\Text\Font\Italic »

- PHP Manual
- UI
- Font Weight Settings

# Font Weight Settings

(UI 0.9.9)

## Introduction

## Class synopsis

final class UI\Draw\Text\Font\Weight {
/* Constants */
const int Thin;
const int UltraLight;
const int Light;
const int Book;
const int Normal;
const int Medium;
const int SemiBold;
const int Bold;
const int UltraBold;
const int Heavy;
const int UltraHeavy;
}

## Predefined Constants

`UI\Draw\Text\Font\Weight::Thin`
`UI\Draw\Text\Font\Weight::UltraLight`
`UI\Draw\Text\Font\Weight::Light`
`UI\Draw\Text\Font\Weight::Book`
`UI\Draw\Text\Font\Weight::Normal`
`UI\Draw\Text\Font\Weight::Medium`
`UI\Draw\Text\Font\Weight::SemiBold`
`UI\Draw\Text\Font\Weight::Bold`
`UI\Draw\Text\Font\Weight::UltraBold`
`UI\Draw\Text\Font\Weight::Heavy`
`UI\Draw\Text\Font\Weight::UltraHeavy`